# EffectiveTldFinder.EffectiveTLD (Crawler-commons 0.9 API)
Date: 2017-10-27

crawlercommons.domains

## Class EffectiveTldFinder.EffectiveTLD

- java.lang.Object
- - crawlercommons.domains.EffectiveTldFinder.EffectiveTLD

Enclosing class:
  EffectiveTldFinder

    public static class EffectiveTldFinder.EffectiveTLD
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EffectiveTLD(String line)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDomain()`
`boolean` `isException()`
`boolean` `isWild()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EffectiveTLD

    public EffectiveTLD(String line)

### Method Detail

#### getDomain

    public String getDomain()

#### isWild

    public boolean isWild()

#### isException

    public boolean isException()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`